
//Difficulties Table
Difficulty = {}
Difficulty["Easy"] = WEAPON_PROFICIENCY_POOR
Difficulty["Medium"] = WEAPON_PROFICIENCY_AVERAGE
Difficulty["Hard"] = WEAPON_PROFICIENCY_GOOD
Difficulty["Veteran"] = WEAPON_PROFICIENCY_VERY_GOOD
Difficulty["Legendary"] = WEAPON_PROFICIENCY_PERFECT

//Get the Difficulty from the file
curDifficulty = Difficulty["Legendary"]

if ( file.Exists( "difficulty.txt" ) ) then

   local contents = file.Read( "difficulty.txt" )

   if ( contents == nil ) then
    print("Error: Difficulty File Not Found!")
    return
   end

   curDifficulty = Difficulty[contents]

end

//Concommand for setting the difficulty
function ccNPC_Difficulty( pl , cmd , arg )
   
   if ( file.Exists( "difficulty.txt" ) ) then

      file.Write( "difficulty.txt" , arg[1] )


      curDifficulty = Difficulty[ arg[1] ]

   end

end 

concommand.Add( "npc_difficulty" , ccNPC_Difficulty )


//Set NPC Difficulty on Spawn
function npc_difficulty( pl , npc )

   npc:SetCurrentWeaponProficiency( curDifficulty )

end

hook.Add( "PlayerSpawnedNPC" , "NPCDifficulty" , npc_difficulty )